Name:           ocaml-argot
Version:        1.1
Release:        %mkrel 3
Summary:        Provides an enhanced HTML generator for ocamldoc
License:        GPL v3
Group:          Development/OCaml
URL:            http://argot.x9c.fr
Source0:        http://forge.ocamlcore.org/frs/download.php/960/argot-%{version}.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-compiler

%description
Argot is an enhanced HTML generator for the ocamldoc tool of the OCaml
language. It provides additional styles and tags, support for folding and
tables, and - last but not least - search capabilities. Search can be done
by name (exact or regular expression), by type (up to isomorphism, possibly
using type manifests), or by full text (looking for words appearing in
comments).

%prep
%setup -q -n argot-%{version}

%build
sh configure
make all
make doc

# Fix META file
sed -i 's/byte/byte,plugin/' META
sed -i 's/native/native,plugin/' META
sed -i 's/java/java,plugin/' META

%check
make tests

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/argot
make install
mv _build/argot.docdir/ api-doc

%files
%doc README COPYING FEATURES VERSION CHANGES INSTALL
%doc doc/
%doc api-doc/
%dir %{_libdir}/ocaml/argot
%{_libdir}/ocaml/argot/META
%{_libdir}/ocaml/argot/*.cmo
%{_libdir}/ocaml/argot/*.cmxs


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.1-3.mga3
+ Revision: 361140
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 malo <malo> 1.1-2.mga3
+ Revision: 332517
- fix META file
- add tests

* Thu Oct 18 2012 malo <malo> 1.1-1.mga3
+ Revision: 307999
- update to version 1.1

  + blue_prawn <blue_prawn>
    - build requires ocaml-compiler
    - rebuild for ocaml-4.00.0
    - rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.0-2.mga3
+ Revision: 300031
- new rpm group for ocaml

* Sun Aug 05 2012 blue_prawn <blue_prawn> 1.0-1.mga3
+ Revision: 278725
- imported package ocaml-argot

